use st7735::gfx::PrimitveGFX;

pub struct ColorBitmap {
    pub width: u8,
    pub height: u8,
    pub pixels: &'static [u16],
}
pub struct MonoBitmap {
    pub width: u8,
    pub height: u8,
    pub pixels: &'static [u8],
}


pub trait BitmapGFX : PrimitveGFX {
    fn draw_color_bitmap(&mut self, x : u8, y: u8, bitmap: &ColorBitmap);
    fn draw_mono_bitmap(&mut self, x : u8, y: u8, bitmap: &MonoBitmap,
                            color_set : u16, color_unset : u16);
}
